Bug 24679 - fast/events/standalone-image-drag-to-editable.html fails on windows due to local access checks
Summary: fast/events/standalone-image-drag-to-editable.html fails on windows due to lo...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac OS X 10.5
: P2 Normal
Assignee: David Levin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-18 13:35 PDT by Tony Chang
Modified: 2009-03-20 16:58 PDT (History)
0 users

See Also:


Attachments
[1/1] use a local file for the iframe rather than a data url (2.51 KB, patch)
2009-03-18 13:36 PDT, Tony Chang
ap: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Chang 2009-03-18 13:35:07 PDT
The test standalone-image-drag-to-editable.html has an iframe that is a data: url.  It tries to drag an image from a file: url into the iframe.  Since by default local loads are disabled, the image fails to load in the data url.

Since this test has nothing to do with local load checks, we should just use a file: url for the iframe.
Comment 1 Tony Chang 2009-03-18 13:36:51 PDT
Created attachment 28730 [details]
[1/1] use a local file for the iframe rather than a data url

 LayoutTests/ChangeLog                              |   16 ++++++++++++++++
 .../standalone-image-drag-to-editable-frame.html   |    4 ++++
 .../events/standalone-image-drag-to-editable.html  |    5 +----
 3 files changed, 21 insertions(+), 4 deletions(-)
Comment 2 Alexey Proskuryakov 2009-03-19 01:46:37 PDT
Comment on attachment 28730 [details]
[1/1] use a local file for the iframe rather than a data url

r=me

Another way to fix this is by using a javascript:'' URL instead of data: one, as javascript ones share security context with the opener.
Comment 3 David Levin 2009-03-20 16:03:52 PDT
In the future, please add a link to the bug in the changelog.

Assigned to levin for landing.
Comment 4 David Levin 2009-03-20 16:58:19 PDT
Committed as r41883.